--以--开头的行为注释行,语句间以go隔开(注意：这不是标准的sql格式，如果--写在一行中间将会被当做sql，--必须独立成行,go也必须独立成行)
--please pay attention to above words！！！UTF-8 coding
--每次升级请不要在原来的db_*.sql中修改，而是新创建一个文件，然后把sys_configs.xml中的数据库版本号+1
alter table content_msg RENAME to content_msg_temp;
go

--更新ext_json、special_text、msg_text支持长文本
create table content_msg(
	owner_id 		char(32) 	    not null,
	msg_id          char(32) 		not null,
	external_msg_id char(32) 		not null,
	send_obj_id     char(32) 		not null,
	send_obj_type   number(1) 		not null,
	send_name       varchar2(50),
	send_time       timestamp(6) 	not null,
    audit_type      number(1),
    audit_status    number(1),
	ext_json        clob,
	receive_id      char(32),
	chat_id         char(32),
	is_out          number(1) not null default 0,
	chat_type       number(1) not null default 0,
	special_type    number(2),
	special_text    clob,
	msg_text        clob,
	msg_type        number(2) default 0,
	primary key(owner_id,msg_id)
)
go

insert into content_msg select * from content_msg_temp;
go

drop table content_msg_temp;
go

alter table content_msg add conferencing_id char(32);
go

alter table content_msg add conferencing_state number(1) default 0;
go

create INDEX index_msg_ownerid_chatid_chattype on content_msg (owner_id,chat_id,chat_type);
go

alter table jyt_reply_msg RENAME to jyt_reply_msg_temp;
go

--更新ext_json支持长文本
create table jyt_reply_msg(
    chat_id             char(32),
    msg_id              char(32),
    sender_id           char(32),
    sender_name         varchar2(50),
    send_time           timestamp(6),
    ext_json            clob,
    primary key(chat_id,msg_id)
)
go

insert into jyt_reply_msg select * from jyt_reply_msg_temp;
go

drop table jyt_reply_msg_temp;
go

alter table chat_category rename to chat_category_temp;
go

--更新content支持长文本
create table chat_category(
    jyt_id          char(32),
    id              char(32),
    category_type   number(2) default 0,
    channel_code    number(3),
    channel_id      number(11),
    tag_code        varchar2(20),
    avatar          varchar2(100),
    title           varchar2(100),
    content         clob,
    creation_time   datetime,
    send_status     number(1),
    unread_num      int,
    unread_state    number(1),
    top_time        bigint default 0,
    at_msg_ids      text,
    is_delete       number(1) default 0,
    primary key(jyt_id,id,category_type)
)
go

insert into chat_category select * from chat_category_temp;
go

drop table chat_category_temp;
go

alter table chat_category add conferencing_id char(32);
go

alter table chat_category add conferencing_state number(1) default 0;
go

create INDEX index_chatcategory_jytid on chat_category (jyt_id);
go